We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/wp-plugins \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "active",
"column": "updatesAvailable"
}
'{
"environment": {
"plugins": {
"items": [
{
"name": "akismet",
"title": "Akismet Anti-Spam: Spam Protection",
"status": "active",
"version": "1.0.0",
"update": "available",
"update_version": "1.0.1",
"update_status": "updated",
"is_version_vulnerable": false,
"is_update_version_vulnerable": false,
"auto_update_type": "Kinsta Automatic Update"
}
],
"last_updated_at": "2026-01-01T12:00:00.000Z"
}
}
}curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/wp-plugins \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "active",
"column": "updatesAvailable"
}
'{
"environment": {
"plugins": {
"items": [
{
"name": "akismet",
"title": "Akismet Anti-Spam: Spam Protection",
"status": "active",
"version": "1.0.0",
"update": "available",
"update_version": "1.0.1",
"update_status": "updated",
"is_version_vulnerable": false,
"is_update_version_vulnerable": false,
"auto_update_type": "Kinsta Automatic Update"
}
],
"last_updated_at": "2026-01-01T12:00:00.000Z"
}
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Successfully found WP plugins
Show child attributes